Get an Event Attendee
curl --request GET \
--url https://api.virtuoussoftware.com/api/Event/{eventId}/Attendees/{eventAttendeeId} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.virtuoussoftware.com/api/Event/{eventId}/Attendees/{eventAttendeeId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.virtuoussoftware.com/api/Event/{eventId}/Attendees/{eventAttendeeId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.virtuoussoftware.com/api/Event/{eventId}/Attendees/{eventAttendeeId}");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.virtuoussoftware.com/api/Event/{eventId}/Attendees/{eventAttendeeId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}HttpResponse<String> response = Unirest.get("https://api.virtuoussoftware.com/api/Event/{eventId}/Attendees/{eventAttendeeId}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.virtuoussoftware.com/api/Event/{eventId}/Attendees/{eventAttendeeId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_bodyconst url = 'https://api.virtuoussoftware.com/api/Event/{eventId}/Attendees/{eventAttendeeId}';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));{
"id": "<integer>",
"schedule": "Morning",
"table": "12",
"meal": "Vegetarian",
"eventInvitationUrl": "<string>",
"contactId": "<integer>",
"contactIndividualId": "<integer>",
"invitee": "<string>",
"contactUrl": "<string>",
"event": "<string>",
"eventId": "<integer>",
"eventViewUrl": "<string>",
"location": "<string>",
"startDateTime": "<string>",
"endDateTime": "<string>",
"timeZone": "<string>",
"rsvp": "<string>",
"attended": "<string>",
"emailAddress": "<string>",
"invited": "<string>",
"emailStatus": "<string>",
"emailSent": "<string>",
"createDateTimeUtc": "<dateTime>",
"createdByUser": "<string>",
"modifiedDateTimeUtc": "<dateTime>",
"modifiedByUser": "<string>",
"customFields": [
{
"name": "<string>",
"value": "<string>",
"displayName": "<string>"
},
{
"name": "<string>",
"value": "<string>",
"displayName": "<string>"
}
]
}{
"message": "Authorization has been denied for this request."
}{
"message": "You do not have permission to perform this action."
}{
"message": "Rate limit exceeded. Try again later."
}Event Attendees
Get an Event Attendee
GET
/
api
/
Event
/
{eventId}
/
Attendees
/
{eventAttendeeId}
Get an Event Attendee
curl --request GET \
--url https://api.virtuoussoftware.com/api/Event/{eventId}/Attendees/{eventAttendeeId} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.virtuoussoftware.com/api/Event/{eventId}/Attendees/{eventAttendeeId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.virtuoussoftware.com/api/Event/{eventId}/Attendees/{eventAttendeeId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.virtuoussoftware.com/api/Event/{eventId}/Attendees/{eventAttendeeId}");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.virtuoussoftware.com/api/Event/{eventId}/Attendees/{eventAttendeeId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}HttpResponse<String> response = Unirest.get("https://api.virtuoussoftware.com/api/Event/{eventId}/Attendees/{eventAttendeeId}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.virtuoussoftware.com/api/Event/{eventId}/Attendees/{eventAttendeeId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_bodyconst url = 'https://api.virtuoussoftware.com/api/Event/{eventId}/Attendees/{eventAttendeeId}';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));{
"id": "<integer>",
"schedule": "Morning",
"table": "12",
"meal": "Vegetarian",
"eventInvitationUrl": "<string>",
"contactId": "<integer>",
"contactIndividualId": "<integer>",
"invitee": "<string>",
"contactUrl": "<string>",
"event": "<string>",
"eventId": "<integer>",
"eventViewUrl": "<string>",
"location": "<string>",
"startDateTime": "<string>",
"endDateTime": "<string>",
"timeZone": "<string>",
"rsvp": "<string>",
"attended": "<string>",
"emailAddress": "<string>",
"invited": "<string>",
"emailStatus": "<string>",
"emailSent": "<string>",
"createDateTimeUtc": "<dateTime>",
"createdByUser": "<string>",
"modifiedDateTimeUtc": "<dateTime>",
"modifiedByUser": "<string>",
"customFields": [
{
"name": "<string>",
"value": "<string>",
"displayName": "<string>"
},
{
"name": "<string>",
"value": "<string>",
"displayName": "<string>"
}
]
}{
"message": "Authorization has been denied for this request."
}{
"message": "You do not have permission to perform this action."
}{
"message": "Rate limit exceeded. Try again later."
}Authorizations
Path Parameters
Response
OK
Last modified on April 23, 2026
Was this page helpful?